=== debian/changelog ===
miniupnpd (1.7-3) experimental; urgency=low

  * Added debconf support for maintaining /etc/default/miniupnpd.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2012 09:17:20 +0000

miniupnpd (1.7-2) experimental; urgency=low

  * Only calls sed for putting a uuid if there's no value for the uuid
  in the configuration file.
  * Removes hardening option from debian/rules.
  * Fixed postinst so that it copies miniupnpd.conf from the correct location.
  Thanks to Andreas Beckmann for reporting (Closes: #685191).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Aug 2012 07:12:45 +0000

miniupnpd (1.7-1) experimental; urgency=low

  * Initial release (Closes: #658434).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jul 2012 20:16:37 +0000
