=== debian/control ===
Source: miniupnpd
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), iptables-dev, po-debconf
Standards-Version: 3.9.3
Homepage: http://miniupnp.free.fr/
Vcs-Browser: http://git.debian.org/?p=users/zigo/miniupnpd.git
Vcs-Git: http://git.debian.org/git/users/zigo/miniupnpd.git

Package: miniupnpd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf, iptables, iproute, uuid-runtime,
Description: daemon providing UPnP Internet Gateway Device (IGD) services
 MiniUPnPd is a small daemon providing UPnP Internet Gateway Device (IGD)
 services to your network. UPnP and NAT-PMP are used to improve internet
 connectivity for devices behind a NAT router. Any peer to peer network
 application such as games, IM, etc. can benefit from a NAT router supporting
 UPnP and/or NAT-PMP. For example the latest generation Microsoft XBOX 360 and
 Sony Playstation 3 game machines use UPnP commands to enable the online play
 with the XBOX Live service and the Playstation Network. It has been reported
 that MiniUPnPd is correctly working with the two consoles.
