=== debian/rules ===
#!/usr/bin/make -f

#export DEB_BUILD_MAINT_OPTIONS = hardening=-all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -f Makefile.linux

override_dh_auto_clean:
	dh_auto_clean

	$(MAKE) -f Makefile.linux clean

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9
