=== debian/changelog ===
miniupnpd (1.8.20130730-2) unstable; urgency=low

  * Added the review from the intl team (Closes: #719950).
  * Added Debconf translations, with thanks to:
    - Japanese, victory (Closes: #724310).
    - Portuguese, Traduz (Closes: #724029).
    - French, Baptiste Jammet (Closes: #723768).
    - German, Chris Leick (Closes: #723147).
    - Czech, Michal Šimůnek (Closes: #723025).
    - Russian, Yuri Kozlov (Closes: #722602).
    - Danish, Joe Dalton (Closes: #722278).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2013 23:30:11 +0800

miniupnpd (1.8.20130730-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release fixing CVE-2013-2600: MiniUPnPd versions 1.8 and
    earlier are prone to an information disclosure vulnerability due to
    improper use of snprintf() while preparing SSDP responses. An attacker can
    exploit this vulnerability by sending a crafted request with a long ST
    header. If the header is long enough, the SSDP response buffer will be
    truncated by snprintf() and the subsequent sendto() call will read off the
    end of the buffer thereby disclosing the contents of adjacent memory. This
    response can reveal details of internal network topology as well as other
    activity on the target network. Fix at:
    .
    https://github.com/miniupnp/miniupnp/commit/18887cb1e49295e69c308d8bb1f2526798a77429
    .
    Correctly handle truncated snprintf() in SSDP code (Closes: #716936,
    #686537).
  * Now packaging using pristine-tar git-import-orig.
  * Added new IPv6 rules in the init script, and its configuration through
    debconf (Closes: #686287).
  * Fixed the clean process.
  * Removes now obsolete patches.
  * Build-Depends on libnfnetlink-dev.
  * Standards-Version: 3.9.4.
  * Canonical URLs for VCS feilds.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2013 11:16:15 +0800

miniupnpd (1.7-4) experimental; urgency=low

  * Rewrite the debconf text for the external interface, which was completely
  wrong: it was asking for the LAN interface, when in fact, what was required
  was the name of the WAN interface. Also makes other Debconf questions more
  clear, writing WAN and LAN when needed (Closes: #685652).
  * Now guessed the name of the WAN interface using route (and depends on
  net-tools as a consequence).
  * Enables IPv6 and IGDv2 support build options (Closes: #685651, #685650).
  * Added display-po-stats and display-po-stats rules target.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2012 11:45:03 +0000
