=== debian/changelog ===
miniupnpd (1.8.20140523-4) unstable; urgency=high

  * Fixes multiple vulnerabilities (Closes: #772644).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Dec 2014 22:29:04 +0800

miniupnpd (1.8.20140523-3) unstable; urgency=medium

  * Do not install the configuration file in /etc/miniupnpd, use /usr/share
    instead, so that miniupnpd.conf isn't CONFFILE (Closes: #767646).
  * Do not use /usr/share/doc/miniupnpd/examples to get our default config
    file, which isn't policy compliant, but use /usr/share/miniupnpd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Nov 2014 16:35:36 +0800

miniupnpd (1.8.20140523-2) unstable; urgency=medium

  * Removed $all from init script.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Jul 2014 07:08:43 +0000

miniupnpd (1.8.20140523-1) unstable; urgency=medium

  * New upstream release (Closes: #749392).
  * Standards-Version: bumped to 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 09:35:49 +0000

miniupnpd (1.8.20130730-3) unstable; urgency=medium

  * Now depending on iproute2 instead of iproute.
  * Added Italian debconf translaiton (Closes: #724684).
  * Added Spanish debconf translation, thanks to "Matias A. Bellone"
    <matiasbellone+debian@gmail.com> (Closes: #733065).
  * Added Swedish debconf translation, thanks to Martin Bagge
    <brother@bsnet.se> (Closes: #727185).
  * Fixed postinst that is destroying the default file (Closes: #726915).
  * Fixed wrong directive for enabling ipv6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 May 2014 16:10:53 +0800
