=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,12 @@
 override_dh_auto_install:
 	make -j1 -f Makefile.linux install DESTDIR=$(CURDIR)/debian/miniupnpd AM_UPDATE_INFO_DIR=no
 
+	# Move the miniupnpd.conf in /usr/share so it's not marked as CONFFILE
+	mkdir -p $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd
+	mv $(CURDIR)/debian/miniupnpd/etc/miniupnpd/miniupnpd.conf $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf
+
+	# Copy the /etc/default/miniupnpd to /usr/share
+	cp $(CURDIR)/debian/examples/miniupnpd.default $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd
 
 override_dh_auto_clean:
 	#dh_auto_clean
