## miniupnpd 2.0.20171212

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.84 2014/04/20 16:32:17 nanard Exp $
+# $Id: Makefile,v 1.90 2017/12/12 11:40:13 nanard Exp $
 # MiniUPnP project
 # http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
 # Author: Thomas Bernard
@@ -45,25 +45,37 @@
 .endif
 
 # better way to find if we are using ipf or pf
-.if exists(/etc/rc.subr) && exists(/etc/rc.conf)
 .if $(OSNAME) == "FreeBSD"
-FWNAME != . /etc/rc.subr; . /etc/rc.conf; \
+.if exists(/etc/rc.subr) && exists(/etc/default/rc.conf)
+FWNAME != . /etc/rc.subr; . /etc/default/rc.conf; \
           if checkyesno ipfilter_enable; then \
           echo "ipf"; elif checkyesno pf_enable; then \
-          echo "pf"; else echo "ipfw"; fi
+          echo "pf"; elif checkyesno firewall_enable; then \
+          echo "ipfw"; else echo "pf"; fi
+.else
+FWNAME = pf
+.endif
 .endif
 
 .if $(OSNAME) == "NetBSD"
+.if exists(/etc/rc.subr) && exists(/etc/rc.conf)
 FWNAME != . /etc/rc.subr; . /etc/rc.conf; \
-          if checkyesno ipfilter; then \
+          if checkyesno pf; then \
+          echo "pf"; elif checkyesno ipfilter; then \
           echo "ipf"; else echo "pf"; fi
+.else
+FWNAME = pf
+.endif
 .endif
 
 .if $(OSNAME) == "DragonFly"
+.if exists(/etc/rc.subr) && exists(/etc/rc.conf)
 FWNAME != . /etc/rc.subr; . /etc/rc.conf; \
-          if checkyesno ipfilter; then \
-          echo "ipf"; elif checkyesno pf_enable; then \
-          echo "pf"; else echo "ipfw"; fi
+          if checkyesno pf; then \
+          echo "pf"; elif checkyesno ipfilter; then \
+          echo "ipf"; else echo "pf"; fi
+.else
+FWNAME = pf
 .endif
 .endif
 
@@ -127,11 +139,13 @@
 MINIUPNPDCTLOBJS = miniupnpdctl.o
 TESTASYNCSENDTOOBJS = testasyncsendto.o asyncsendto.o upnputils.o bsd/getroute.o
 TESTPORTINUSEOBJS = testportinuse.o portinuse.o getifaddr.o
+TESTMINISSDPOBJS = testminissdp.o minissdp.o upnputils.o upnpglobalvars.o \
+                   asyncsendto.o bsd/getroute.o
 
 EXECUTABLES = miniupnpd testupnpdescgen testgetifstats \
               testupnppermissions miniupnpdctl \
               testgetifaddr testgetroute testasyncsendto \
-              testportinuse
+              testportinuse testssdppktgen testminissdp
 
 .if $(OSNAME) == "Darwin"
 LIBS =
@@ -160,6 +174,7 @@
 	miniupnpdctl.o testgetifaddr.o testgetroute.o testasyncsendto.o \
 	testportinuse.o \
 	$(PFOBJS) $(IPFOBJS) $(IPFWOBJS)
+	$(RM) validateupnppermissions validategetifaddr validatessdppktgen
 
 install:	miniupnpd genuuid
 	$(STRIP) miniupnpd
@@ -181,45 +196,66 @@
         else echo "00000000-0000-0000-0000-000000000000"; \
         fi
 
+# bash or ksh
+SH != which bash || which ksh
+
 genuuid:
 	$(MV) miniupnpd.conf miniupnpd.conf.before
 	sed -e "s/^uuid=[-0-9a-fA-F]*/uuid=$(UUID)/" miniupnpd.conf.before > miniupnpd.conf
 	$(RM) miniupnpd.conf.before
 
+check:  validateupnppermissions validategetifaddr validatessdppktgen
+
+validateupnppermissions: testupnppermissions testupnppermissions.sh
+	$(SH) ./testupnppermissions.sh
+	touch $@
+
+validategetifaddr:	testgetifaddr testgetifaddr.sh
+	./testgetifaddr.sh
+	touch $@
+
+validatessdppktgen:	testssdppktgen
+	./testssdppktgen
+	touch $@
+
 depend:	config.h
 	mkdep $(ALLOBJS:.o=.c) testupnpdescgen.c testgetifstats.c \
     testupnppermissions.c miniupnpdctl.c testgetifaddr.c \
-	testgetroute.c testportinuse.c testasyncsendto.c
+	testgetroute.c testportinuse.c testasyncsendto.c \
+	testssdppktgen.c
 
 miniupnpd: config.h $(ALLOBJS)
-	$(CC) $(CFLAGS) -o $@ $(ALLOBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(ALLOBJS) $(LIBS)
 
 # BSDmake :
-#	$(CC) $(CFLAGS) -o $@ $> $(LIBS)
+#	$(CC) $(LDFLAGS) -o $@ $> $(LIBS)
 
 miniupnpdctl:	config.h $(MINIUPNPDCTLOBJS)
-	$(CC) $(CFLAGS) -o $@ $(MINIUPNPDCTLOBJS)
+	$(CC) $(LDFLAGS) -o $@ $(MINIUPNPDCTLOBJS)
 
 testupnpdescgen:	config.h $(TESTUPNPDESCGENOBJS)
-	$(CC) $(CFLAGS) -o $@ $(TESTUPNPDESCGENOBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTUPNPDESCGENOBJS) $(LIBS)
 
 testgetifstats:	config.h $(TESTGETIFSTATSOBJS)
-	$(CC) $(CFLAGS) -o $@ $(TESTGETIFSTATSOBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTGETIFSTATSOBJS) $(LIBS)
 
 testgetifaddr:	config.h $(TESTGETIFADDROBJS)
-	$(CC) $(CFLAGS) -o $@ $(TESTGETIFADDROBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTGETIFADDROBJS) $(LIBS)
 
 testupnppermissions:	config.h $(TESTUPNPPERMISSIONSOBJS)
-	$(CC) $(CFLAGS) -o $@ $(TESTUPNPPERMISSIONSOBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTUPNPPERMISSIONSOBJS) $(LIBS)
 
 testgetroute:	config.h $(TESTGETROUTEOBJS)
-	$(CC) $(CFLAGS) -o $@ $(TESTGETROUTEOBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTGETROUTEOBJS) $(LIBS)
 
 testasyncsendto:	config.h $(TESTASYNCSENDTOOBJS)
-	$(CC) $(CFLAGS) -o $@ $(TESTASYNCSENDTOOBJS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTASYNCSENDTOOBJS)
 
 testportinuse:	config.h $(TESTPORTINUSEOBJS)
-	$(CC) $(CFLAGS) -o $@ $(TESTPORTINUSEOBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTPORTINUSEOBJS) $(LIBS)
+
+testminissdp:	config.h $(TESTMINISSDPOBJS)
+	$(CC) $(LDFLAGS) -o $@ $(TESTMINISSDPOBJS) $(LIBS)
 
 # gmake :
 #	$(CC) $(CFLAGS) -o $@ $^
