=== debian/changelog ===
miniupnpd (2.0.20171212-2) unstable; urgency=medium

  * Removed --igd2 option when building, as per recommendation from upstream.
    The igd2 protocol is basically a failure, and we should not use it, as it
    breaks igd1 clients.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 10:02:25 +0000

miniupnpd (2.0.20171212-1) unstable; urgency=medium

  [ Yangfl ]
  * New upstream release (Closes: #850411).
    - Fix V6SOCKETS_ARE_V6ONLY on Linux (Closes: #771918)
    - Default reverted to UDA 1.1 (Closes: #885960)
    - Fix CVE-2017-1000494 (Closes: #887129)
  * Enable manufacturer info configuration (Closes: #877564).
  * Allow IPv4 listening specify (Closes: #885825).
  * Bumped Standards-Version.

  [ Thomas Goirand ]
  * Fixed VCS URLs to point to Salsa.
  * Ran wrap-and-sort -bast.
  * Fixed debian/gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Feb 2018 16:39:16 +0000
