=== debian/control ===
Source: miniupnpd
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper (>= 11),
 iptables-dev,
 libnfnetlink-dev,
 po-debconf,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
Homepage: http://miniupnp.free.fr/

Package: miniupnpd
Architecture: any
Depends:
 debconf,
 iproute2 | iproute,
 iptables,
 lsb-base,
 net-tools,
 uuid-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Description: UPnP and NAT-PMP daemon for gateway routers
 MiniUPnPd is a small daemon which can be installed on a NAT router to
 provide UPnP Internet Gateway Device and Port Mapping Protocol services,
 enabling clients on the LAN to ask for port redirections. It is
 compatible with peer-to-peer software, messaging applications, and games
 consoles that connect to online services (including Xbox LIVE and the
 PlayStation Network).
