## miniupnpd 2.1

=== debian/changelog ===
miniupnpd (2.1-6) unstable; urgency=medium

  * Add upstream patches for CVE-2019-12107 CVE-2019-12108 CVE-2019-12109
    CVE-2019-12110 CVE-2019-12111 (Closes: #930050).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Jun 2019 00:37:36 +0200

miniupnpd (2.1-5) unstable; urgency=medium

  * Update Danish Debconf translation, thanks to Joe Dalton (Closes: #923134).

 -- Yangfl <mmyangfl@gmail.com>  Wed, 27 Feb 2019 14:55:02 +0800

miniupnpd (2.1-4) unstable; urgency=medium

  * Fix autopkgtest.
  * Update Debconf translations, with thanks to:
    - Portuguese, Américo Monteiro (Closes: #919211).
    - German, Chris Leick (Closes: #919784).
    - Dutch, Frans Spiesschaert (Closes: #920431).
    - Vietnamese, Trần Ngọc Quân.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 08 Jan 2019 15:16:49 +0800

miniupnpd (2.1-3) unstable; urgency=medium

  * Remove START_DAEMON in /etc/default/miniupnpd.
  * Update Debconf translations, with thanks to:
    - Dutch, Frans Spiesschaert (Closes: #906940).
    - German, Chris Leick (Closes: #907588).
    - French, Baptiste Jammet (Closes: #908901).
    - Portuguese, Américo Monteiro (Closes: #910456).
  * Add autopkgtest.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compat to 12.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 06 Jan 2019 21:42:58 +0800

miniupnpd (2.1-2) unstable; urgency=medium

  * Disable kfreebsd-any due to lack of iptables.
  * Remove obsolete default file in favor of debconf.
  * Add debconf option for `force_igd_desc_v1'.
  * Fix sed command bug in postinst (Closes: #901632).
  * debian/miniupnpd.config: Always prefer configs in debconf to prevent config
    loss during fresh installation.
  * debian/rules: Disable auto enabling systemd service.
  * Bump Standards-Version to 4.2.0.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 15 Aug 2018 16:23:40 +0800

miniupnpd (2.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable hurd-any due to lack of rt_msghdr and RTM_*.
  * Add --igd2 back, since 'force_igd_desc_v1' is now available.
  * Deprecate MiniUPnPd_EXTERNAL_INTERFACE and MiniUPnPd_LISTENING_IP in
    /etc/default/miniupnpd (Closes: #891088).
  * Add systemd service file.
  * Add Debconf translations, with thanks to:
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #891168).
    - Dutch, Frans Spiesschaert (Closes: #899025).
  * Update patch file.
  * Bump Standards-Version to 4.1.4.
  * debian/watch: Check for PGP signature.
  * debian/watch: Only watch for release versions.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 12 Jun 2018 11:39:08 +0800
