=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12~),
  iptables-dev,
- libnfnetlink-dev,
+ pkg-config,
  po-debconf,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
 Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
 Homepage: http://miniupnp.free.fr/
 
 Package: miniupnpd
-Architecture: any
+Architecture: linux-any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  debconf,
- iproute2 | iproute,
+ iproute2,
  iptables,
  lsb-base,
  net-tools,
