=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -12,6 +13,7 @@
 
 override_dh_auto_clean:
 	$(MAKE) -f Makefile.linux clean
+	rm -rf config.h
 
 override_dh_clean:
 	if [ -h Makefile ]; then \
@@ -27,17 +29,34 @@
 	dh_auto_configure
 
 override_dh_auto_build:
-	dh_auto_build -- CONFIG_OPTIONS="--ipv6 --leasefile --vendorcfg --pcp-peer --portinuse"
+	dh_auto_build -- CONFIG_OPTIONS="--igd2 --ipv6 --leasefile --vendorcfg --pcp-peer --portinuse"
 
 override_dh_auto_test:
+	# some test scripts missing from the tarball
 
 override_dh_auto_install:
 	dh_auto_install -- STRIP=echo
 
 	# Move the miniupnpd.conf in /usr/share so it's not marked as CONFFILE
 	mkdir -p $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd
-	mv $(CURDIR)/debian/miniupnpd/etc/miniupnpd/miniupnpd.conf $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf
-	sed -i -e "s/^uuid=[-0-9a-f]*/uuid=/" $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf
+	mv $(CURDIR)/debian/miniupnpd/etc/miniupnpd/miniupnpd.conf $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
+	sed -i " \
+		/^secure_mode=no/ d; \
+		/^notify_interval=60/ d; \
+		s/^clean_ruleset_interval=600/#clean_ruleset_interval=600/; \
+		s/^allow/#allow/; \
+		s/^deny/#deny/; \
+		s/^uuid=.*/uuid=/; \
+	" $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf
+
+	# Copy the /etc/default/miniupnpd to /usr/share
+	cp $(CURDIR)/debian/examples/miniupnpd.default $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
+
+override_dh_installinit:
+	dh_installinit --no-enable --no-start
+
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
 
 display-po-stats:
 	cd $(CURDIR)/debian/po ; for i in *.po ; do \
