## miniupnpd 2.2.1

=== debian/changelog ===
miniupnpd (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jan 2021 21:48:54 +0800

miniupnpd (2.2.0-1) experimental; urgency=medium

  * New upstream release (Closes: #973511).
    - Fix iptables-init.sh for POSTROUTING (Closes: #955779).
  * Remove dep of net-tools (Closes: #961701).
  * Provide iptables and nftables-backended binaries (Closes: #961723).
  * Disable leasefile (Closes: #961877).
  * Harden systemd service (Closes: #962088).
  * Bump debhelper compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Add upstream metadata.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 17 Nov 2020 22:17:01 +0800

miniupnpd (2.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Thomas Goirand ]
  * Added a debian/salsa-ci.yml

  [ Laurent Bigonville ]
  * Cherry-pick patches from upstream to fix FTBFS with linux > 5.0
    (Closes: #931978)
  * Update the French debconf translation (Closes: #935152)
  * Update the Italian debconf translation (Closes: #952802)
  * Remove iptables-dev from the BD, add libiptc-dev and libxtables-dev
    instead (Closes: #946150)
  * debian/miniupnpd.service: Pass -d to miniupnpd and set Type to simple.
    That way systemd will detect whether the process is exiting with a
    non-zero code or not and properly track the it.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Mar 2020 14:11:07 +0100
