=== debian/control ===
Source: miniupnpd
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 libiptc-dev,
 libxtables-dev,
 libnftnl-dev,
 libmnl-dev,
 pkg-config,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
Homepage: http://miniupnp.free.fr/

Package: miniupnpd
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 debconf,
 lsb-base,
 uuid-runtime,
 miniupnpd-nftables | miniupnpd-iptables,
 ${misc:Depends},
Description: UPnP and NAT-PMP daemon for gateway routers
 MiniUPnPd is a small daemon which can be installed on a NAT router to
 provide UPnP Internet Gateway Device and Port Mapping Protocol services,
 enabling clients on the LAN to ask for port redirections. It is
 compatible with peer-to-peer software, messaging applications, and games
 consoles that connect to online services (including Xbox LIVE and the
 PlayStation Network).

Package: miniupnpd-nftables
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-iptables
Breaks: miniupnpd (<< 2.2.0)
Replaces: miniupnpd (<< 2.2.0)
Description: UPnP and NAT-PMP daemon for gateway routers - nftables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to
 provide UPnP Internet Gateway Device and Port Mapping Protocol services,
 enabling clients on the LAN to ask for port redirections. It is
 compatible with peer-to-peer software, messaging applications, and games
 consoles that connect to online services (including Xbox LIVE and the
 PlayStation Network).
 .
 This package provides miniupnpd with nftables backend.

Package: miniupnpd-iptables
Architecture: linux-any
Depends:
 iptables,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-nftables
Breaks: miniupnpd (<< 2.2.0)
Replaces: miniupnpd (<< 2.2.0)
Description: UPnP and NAT-PMP daemon for gateway routers - legacy iptables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to
 provide UPnP Internet Gateway Device and Port Mapping Protocol services,
 enabling clients on the LAN to ask for port redirections. It is
 compatible with peer-to-peer software, messaging applications, and games
 consoles that connect to online services (including Xbox LIVE and the
 PlayStation Network).
 .
 This package provides miniupnpd with iptables backend. The iptables/xtables
 framework has been replaced by nftables. You should consider migrating now.
